Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.sqs.model
Class ReceiveMessageRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.sqs.model.ReceiveMessageRequest

    public class ReceiveMessageRequest

extends AmazonWebServiceRequest

Container for the parameters to the `ReceiveMessage operation`.

Retrieves one or more messages from the specified queue, including the message body and message ID of each message. Messages returned by this action stay in the queue until you delete them. However, once a message is returned to a ReceiveMessage request, it is not returned on subsequent ReceiveMessage requests for the duration of the VisibilityTimeout. If you do not specify a VisibilityTimeout in the request, the overall visibility timeout for the queue is used for the returned messages.

See Also:
  `AmazonSQS.receiveMessage(ReceiveMessageRequest)`

Constructor Summary
`ReceiveMessageRequest()` Default constructor for a new ReceiveMessageRequest object.
`ReceiveMessageRequest(String queueUrl)` Constructs a new ReceiveMessageRequest object.

Method Summary
`List<String>` | `getAttributeNames()` A list of attributes to get.
`Integer` | `getMaxNumberOfMessages()` The maximum number of messages to return.
`String` | `getQueueUrl()`
`Integer` | `getVisibilityTimeout()` The duration (in seconds) that the received messages are hidden from subsequent retrieve requests after being retrieved by a ReceiveMessage request.
`void` | `setAttributeNames(Collection<String> attributeNames)` A list of attributes to get.
`void` | `setMaxNumberOfMessages(Integer maxNumberOfMessages)` The maximum number of messages to return.
`void` | `setQueueUrl(String queueUrl)`
`void` | `setVisibilityTimeout(Integer visibilityTimeout)` The duration (in seconds) that the received messages are hidden from subsequent retrieve requests after being retrieved by a ReceiveMessage request.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`ReceiveMessageRequest` | `withAttributeNames(Collection<String> attributeNames)` A list of attributes to get.
`ReceiveMessageRequest` | `withAttributeNames(String... attributeNames)` A list of attributes to get.
`ReceiveMessageRequest` | `withMaxNumberOfMessages(Integer maxNumberOfMessages)` The maximum number of messages to return.
`ReceiveMessageRequest` | `withQueueUrl(String queueUrl)` Returns a reference to this object so that method calls can be chained together.
`ReceiveMessageRequest` | `withVisibilityTimeout(Integer visibilityTimeout)` The duration (in seconds) that the received messages are hidden from subsequent retrieve requests after being retrieved by a ReceiveMessage request.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ReceiveMessageRequest

    public ReceiveMessageRequest()

  Default constructor for a new ReceiveMessageRequest object. Callers should use the setter or fluent setter (with...) methods to initialize this object after creating it.

### ReceiveMessageRequest

    public ReceiveMessageRequest(String queueUrl)

  Constructs a new ReceiveMessageRequest object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

  Parameters:
    `queueUrl` -

Method Detail

### getQueueUrl

    public String getQueueUrl()

  Returns:

### setQueueUrl

    public void setQueueUrl(String queueUrl)

  Parameters:
    `queueUrl` -

### withQueueUrl

    public ReceiveMessageRequest withQueueUrl(String queueUrl)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `queueUrl` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getAttributeNames

    public List<String> getAttributeNames()

  A list of attributes to get.

  Returns:
    A list of attributes to get.

### setAttributeNames

    public void setAttributeNames(Collection<String> attributeNames)

  A list of attributes to get.

  Parameters:
    `attributeNames` - A list of attributes to get.

### withAttributeNames

    public ReceiveMessageRequest withAttributeNames(String... attributeNames)

  A list of attributes to get.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `attributeNames` - A list of attributes to get.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withAttributeNames

    public ReceiveMessageRequest withAttributeNames(Collection<String> attributeNames)

  A list of attributes to get.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `attributeNames` - A list of attributes to get.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getMaxNumberOfMessages

    public Integer getMaxNumberOfMessages()

  The maximum number of messages to return. Amazon SQS never returns more messages than this value but may return fewer.

  All of the messages are not necessarily returned.

  Returns:
    The maximum number of messages to return. Amazon SQS never returns more messages than this value but may return fewer.

    All of the messages are not necessarily returned.

### setMaxNumberOfMessages

    public void setMaxNumberOfMessages(Integer maxNumberOfMessages)

  The maximum number of messages to return. Amazon SQS never returns more messages than this value but may return fewer.

  All of the messages are not necessarily returned.

  Parameters:
    `maxNumberOfMessages` - The maximum number of messages to return. Amazon SQS never returns more messages than this value but may return fewer.

    All of the messages are not necessarily returned.

### withMaxNumberOfMessages

    public ReceiveMessageRequest withMaxNumberOfMessages(Integer maxNumberOfMessages)

  The maximum number of messages to return. Amazon SQS never returns more messages than this value but may return fewer.

  All of the messages are not necessarily returned.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `maxNumberOfMessages` - The maximum number of messages to return. Amazon SQS never returns more messages than this value but may return fewer.

    All of the messages are not necessarily returned.

  Returns:
    A reference to this updated object so that method calls can be chained together.

### getVisibilityTimeout

    public Integer getVisibilityTimeout()

  The duration (in seconds) that the received messages are hidden from subsequent retrieve requests after being retrieved by a ReceiveMessage request.

  Returns:
    The duration (in seconds) that the received messages are hidden from subsequent retrieve requests after being retrieved by a ReceiveMessage request.

### setVisibilityTimeout

    public void setVisibilityTimeout(Integer visibilityTimeout)

  The duration (in seconds) that the received messages are hidden from subsequent retrieve requests after being retrieved by a ReceiveMessage request.

  Parameters:
    `visibilityTimeout` - The duration (in seconds) that the received messages are hidden from subsequent retrieve requests after being retrieved by a ReceiveMessage request.

### withVisibilityTimeout

    public ReceiveMessageRequest withVisibilityTimeout(Integer visibilityTimeout)

  The duration (in seconds) that the received messages are hidden from subsequent retrieve requests after being retrieved by a ReceiveMessage request.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `visibilityTimeout` - The duration (in seconds) that the received messages are hidden from subsequent retrieve requests after being retrieved by a ReceiveMessage request.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.